<?php
//define this module's name and path
$mn = basename(__FILE__ , ".php");
include("modules/modules.php");

/*
Available variables:
All system classes
All request variables
$p (the template path)
$mp (the module path)
$sufixID (id sufix for this module's divs)
*/

$marginTop = ($moduleParameters['marginTop'] == "__EMPTY__" || empty($moduleParameters['marginTop'])) ? 0 : $moduleParameters['marginTop'];
$marginRight = ($moduleParameters['marginRight'] == "__EMPTY__" || empty($moduleParameters['marginRight'])) ? 0 : $moduleParameters['marginRight'];
$marginBottom = ($moduleParameters['marginBottom'] == "__EMPTY__" || empty($moduleParameters['marginBottom'])) ? 0 : $moduleParameters['marginBottom'];
$marginLeft = ($moduleParameters['marginLeft'] == "__EMPTY__" || empty($moduleParameters['marginLeft'])) ? 0 : $moduleParameters['marginLeft'];
$paddingTop = ($moduleParameters['paddingTop'] == "__EMPTY__" || empty($moduleParameters['paddingTop'])) ? 0 : $moduleParameters['paddingTop'];
$paddingRight = ($moduleParameters['paddingRight'] == "__EMPTY__" || empty($moduleParameters['paddingRight'])) ? 0 : $moduleParameters['paddingRight'];
$paddingBottom = ($moduleParameters['paddingBottom'] == "__EMPTY__" || empty($moduleParameters['paddingBottom'])) ? 0 : $moduleParameters['paddingBottom'];
$paddingLeft = ($moduleParameters['paddingLeft'] == "__EMPTY__" || empty($moduleParameters['paddingLeft'])) ? 0 : $moduleParameters['paddingLeft'];
$useModuleContainer = ($moduleParameters['useModuleContainer'] == "__EMPTY__" || empty($moduleParameters['useModuleContainer'])) ? 0 : (int)$moduleParameters['useModuleContainer'];

$widthInPixels = ($moduleParameters['widthInPixels'] == "__EMPTY__" || empty($moduleParameters['widthInPixels'])) ? null : (int)$moduleParameters['widthInPixels'];


if(empty($marginTop) && empty($marginRight) && empty($marginBottom) && empty($marginLeft)){
	$Mmargin = "0";
}else{
	$Mmargin = $marginTop." ".$marginRight." ".$marginBottom." ".$marginLeft." ";
}
if(empty($paddingTop) && empty($paddingRight) && empty($paddingBottom) && empty($paddingLeft)){
	$Mpadding = "0";
}else{
	$Mpadding = $paddingTop." ".$paddingRight." ".$paddingBottom." ".$paddingLeft." ";
}

global $doNotShowSocial;
if($_SERVER['SERVER_NAME'] == "localhost" && $doNotShowSocial) return;

$url = $moduleParameters['url'];
$numberOfPosts = $moduleParameters['numberOfPosts'];
$width = $moduleParameters['width'];
$colorSheme = ($moduleParameters['colorSheme'] == "dark") ? true : false;
global $domain_name;
global $langID;

$thisPage = getBase()."index.php?section=".$section."&view=".$view."&id=".$id;
if($catID) $thisPage.="&catID=".$catID;
if($month) $thisPage.="&month=".$month;
if($year) $thisPage.="&year=".$year;
$thisPage.="&langID=".$langID;

if($useModuleContainer ){

?>
<div id="<?php echo $mn.$sufixID;?>" data-editable="editable" class="responsive_float">
<style type="text/css">
#<?php echo $mn.$sufixID;?>{
	<?php 
	$alignRule = ($moduleParameters['moduleAlign'] == "center") ? "text-align" : "float";
	echo $alignRule.": ".$moduleParameters['moduleAlign'].";".PHP_EOL;
	if($moduleParameters['moduleAlign'] == "center"){ 
		echo "margin: ".$marginTop."px auto ".$marginBottom."px auto;"; 
	}else{
	?>
	margin : <?php echo $Mmargin;?>;
	<?php
	}
	?>
	padding : <?php echo $Mpadding;?>;
<?php
if($widthInPixels){
	?>
	max-width: <?php echo $widthInPixels;?>px;
	<?php 
}
if($moduleParameters['moduleHR'] == "top" || $moduleParameters['moduleHR'] == "bottom"){
?>
	border-<?php echo $moduleParameters['moduleHR'];?> : 1px solid black;
<?php 
}
?>
}
.fb-comments span, .fb-comments span iframe{
	width:100% !important;
}
</style> 
<?php 
}
?>


<div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) {return;}
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/en_US/all.js#xfbml=1&appId=559098177442905";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>
<div class="fb-comments" data-href="<?php echo $thisPage;?>" data-num-posts="<?php echo $numberOfPosts;?>" data-width="<?php echo $width;?>" <?php if($colorSheme){ echo 'data-colorscheme="dark"' ;}?>></div>

<?php
if($useModuleContainer ){
?>
</div>
<?php 
}
?>

